.loader {
  position: fixed;
  top: 0;
  width: 100vw;
  height: 100vh;
  background-color: black;
  align-items: center;
  overflow: hidden;
  z-index: 99;
  transition-timing-function: ease-in;
  transition: top 1.5s 0s, opacity 0s 1.5s;
  h2{
    color: white;
    position: absolute;
    top: 50%;left: 50%;
    transform: translate(-50%,-50%);
  }
  &-anim {
    display: inline-block;
    width: 142px;
    height: 40px;
    background: black;
    filter: contrast(20);
    font-size: 1em;
    vertical-align: -0.15em;
    .dot {
      position: absolute;
      width: 16px;
      height: 16px;
      top: 12px;
      left: 15px;
      background: white;
      filter: blur(4px);
      border-radius: 50%;
      animation: loadDot 3s ease-in-out 1s infinite alternate;
    }
    .dots {
      margin-top: 12px;
      margin-left: 31px;
      animation: loadDots 3s ease-in-out 1s infinite alternate;
      span {
        display: block;
        float: left;
        width: 16px;
        height: 16px;
        margin-left: 16px;
        background: white;
        filter: blur(4px);
        border-radius: 50%;
      }
    }
  }
  &--hide{
    top: -100vh;
    opacity: 0;
  }
}

// ANIMATION
@keyframes loadDots {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-31px);
  }
}
@keyframes loadDot {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(64px);
  }
}
